### Class

# Ggit CheckoutOptions

#### Description [src]

    class Ggit.CheckoutOptions : GObject.Object
    {
      /* No available fields */
    }

Represents the options used when doign a checkout.

#### Ancestors

- GObject

#### Constructors

###### ggit_checkout_options_new

Create a new checkout options object.

#### Instance methods

###### ggit_checkout_options_get_ancestor_label

Get the checkout ancestor label.

###### ggit_checkout_options_get_baseline

Get the baseline, i.e. the expected content of workdir. Defaults to HEAD.

###### ggit_checkout_options_get_dir_mode

Get the default checkout directory mode.

###### ggit_checkout_options_get_disable_filters

Get whether filters are disabled.

###### ggit_checkout_options_get_file_mode

Get the default checkout file mode.

###### ggit_checkout_options_get_file_open_flags

Get the checkout file open flags. These flags are platform specific, e.g. on Unix these would include O_CREAT, O_TRUNC, etc.

###### ggit_checkout_options_get_notify_flags

Get the checkout notify flags.

###### ggit_checkout_options_get_our_label

Get the checkout our label.

###### ggit_checkout_options_get_paths

Get the list of file paths to checkout.

###### ggit_checkout_options_get_strategy

Get the checkout strategy.

###### ggit_checkout_options_get_target_directory

Get the checkout target directory.

###### ggit_checkout_options_get_their_label

Get the checkout their label.

###### ggit_checkout_options_set_ancestor_label

Set the checkout ancestor label.

###### ggit_checkout_options_set_baseline

Set the baseline, i.e. the expected content of workdir. If `tree` is set to `NULL`, the default (HEAD) will be used as the baseline.

###### ggit_checkout_options_set_dir_mode

Set the default checkout directory mode.

###### ggit_checkout_options_set_disable_filters

Set whether to disable filters.

###### ggit_checkout_options_set_file_mode

Set the default checkout file mode.

###### ggit_checkout_options_set_file_open_flags

Set the checkout file open flags. These flags are platform dependent, e.g. on Unix use O_CREAT, O_TRUNC, etc.

###### ggit_checkout_options_set_notify_flags

Set the checkout notify flags.

###### ggit_checkout_options_set_our_label

Set the checkout our label.

###### ggit_checkout_options_set_paths

Set the list of file paths to checkout. If `paths` is `NULL`, then all files will be checked out.

###### ggit_checkout_options_set_strategy

Set the checkout strategy.

###### ggit_checkout_options_set_target_directory

Set the checkout target directory.

###### ggit_checkout_options_set_their_label

Set the checkout their label.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.CheckoutOptions:ancestor-label

No description available.

###### Ggit.CheckoutOptions:baseline

No description available.

###### Ggit.CheckoutOptions:dir-mode

No description available.

###### Ggit.CheckoutOptions:disable-filters

No description available.

###### Ggit.CheckoutOptions:file-mode

No description available.

###### Ggit.CheckoutOptions:file-open-flags

No description available.

###### Ggit.CheckoutOptions:notify-flags

The checkout notify flags.

###### Ggit.CheckoutOptions:our-label

No description available.

###### Ggit.CheckoutOptions:strategy

No description available.

###### Ggit.CheckoutOptions:target-directory

No description available.

###### Ggit.CheckoutOptions:their-label

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCheckoutOptionsClass {
      GObjectClass parent_class;
      gint (* notify) (
        GgitCheckoutOptions* options,
        GgitCheckoutNotifyFlags why,
        const gchar* path,
        GgitDiffFile* baseline,
        GgitDiffFile* target,
        GgitDiffFile* workdir
      );
      void (* progress) (
        GgitCheckoutOptions* options,
        const gchar* path,
        gsize completed_steps,
        gsize total_steps
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`notify: gint (* notify) ( GgitCheckoutOptions* options, GgitCheckoutNotifyFlags why, const gchar* path, GgitDiffFile* baseline, GgitDiffFile* target, GgitDiffFile* workdir )`

  No description available.

`progress: void (* progress) ( GgitCheckoutOptions* options, const gchar* path, gsize completed_steps, gsize total_steps )`

  No description available.

#### Virtual methods

###### Ggit.CheckoutOptionsClass.notify

No description available.

###### Ggit.CheckoutOptionsClass.progress

No description available.